Skip to main content
POST
/
share
/
{shareId}
/
base
/
copy
cURL
curl --request POST \
  --url https://app.teable.ai/api/share/%7BshareId%7D/base/copy \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"spaceId":"string","name":"string","withRecords":true,"baseId":"string"}'
{
  "id": "<string>",
  "name": "<string>",
  "spaceId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

shareId
string
required

Body

application/json
spaceId
string
required

The target space ID to copy the base to

name
string

The name of the copied base

withRecords
boolean
default:true

Whether to copy records

baseId
string

The target base ID to copy into. If provided, tables will be added to the existing base instead of creating a new one.

Response

200 - application/json

Returns the copied base

id
string
required
name
string
required
spaceId
string
required
Last modified on March 5, 2026